Bug 119314

Summary: gcc-4.2.3_20071024 is not only build-depend for openoffice.org-2.3.0_1, it's run-depend too
Product: Ports & Packages Reporter: Pavel Motyrev <legioner.r>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Pavel Motyrev 2008-01-03 17:50:01 UTC
openoffice.org-2.3.0_1 is not running without gcc-4.2.3_20071024

Fix: 

add gcc into R-deps of OO =)
How-To-Repeat: #portinstall openoffice.org-2.3.0_1
#pkg_deinstall -R gcc-4.2.3_20071024
$ openoffice.org-2.3.1
/libexec/ld-elf.so.1: Shared object "libstdc++.so.6" not found, required by "javaldx"
/libexec/ld-elf.so.1: Shared object "libstdc++.so.6" not found, required by "pagein"
/libexec/ld-elf.so.1: Shared object "libstdc++.so.6" not found, required by "soffice.bin"
Comment 1 Tilman Keskinoz freebsd_committer 2008-01-04 15:34:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to OOo maintainers
Comment 2 dfilter service freebsd_committer 2008-01-07 09:59:48 UTC
maho        2008-01-07 09:59:42 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-2-RC Makefile 
  Log:
  (forced commit)
  Not adding gcc42 in RUN_DEPENDS, though, this is the
  correct fix.
  
  PR:             119314
  Submitted by:   Pavel <legioner.r@gmail.com>
  
  Revision  Changes    Path
  1.312     +0 -0      ports/editors/openoffice.org-2-RC/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2008-01-07 21:48:45 UTC
maho        2008-01-07 21:48:32 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-2 Makefile 
  Added files:
    editors/openoffice.org-2/files patch-i85027 
  Log:
  Adding libgcc_s.so and libstdc++.so in
  the install set, and bump port revision.
  
  PR:             119314
  Submitted by:   Pavel <legione.r@gmail.com>
  
  Revision  Changes    Path
  1.293     +8 -3      ports/editors/openoffice.org-2/Makefile
  1.1       +69 -0     ports/editors/openoffice.org-2/files/patch-i85027 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2008-01-07 23:06:53 UTC
maho        2008-01-07 23:06:48 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-2-devel Makefile 
  Added files:
    editors/openoffice.org-2-devel/files patch-i85027 
  Log:
  Include libstdc++ and libgcc_s in the
  install set, and bump port revision accordingly.
  
  PR:             119314
  Submitted by:   Pavevl <legioner.r@gmail.com>
  
  Revision  Changes    Path
  1.344     +5 -0      ports/editors/openoffice.org-2-devel/Makefile
  1.1       +69 -0     ports/editors/openoffice.org-2-devel/files/patch-i85027 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2008-01-08 23:20:59 UTC
maho        2008-01-08 23:20:55 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-1.1-devel Makefile 
  Added files:
    editors/openoffice.org-1.1-devel/files patch-libgcc 
  Log:
  Include libstdc++/libgcc_s.so in the install set.
  Bump port revision accordingly.
  PR:             119314
  Submitted by:   Pavel <legione.r@gmail.com>
  
  Revision  Changes    Path
  1.216     +1 -1      ports/editors/openoffice.org-1.1-devel/Makefile
  1.1       +39 -0     ports/editors/openoffice.org-1.1-devel/files/patch-libgcc (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2008-02-29 02:16:10 UTC
State Changed
From-To: open->closed

Committed by maho 2008-01-07 and 2008-01-08.